unit SecureString;

interface

type

HCkStringBuilder = Pointer;
HCkSecureString = Pointer;
HCkString = Pointer;


function CkSecureString_Create: HCkSecureString; stdcall;
procedure CkSecureString_Dispose(handle: HCkSecureString); stdcall;
procedure CkSecureString_getDebugLogFilePath(objHandle: HCkSecureString; outPropVal: HCkString); stdcall;

procedure CkSecureString_putDebugLogFilePath(objHandle: HCkSecureString; newPropVal: PWideChar); stdcall;

function CkSecureString__debugLogFilePath(objHandle: HCkSecureString): PWideChar; stdcall;

procedure CkSecureString_getLastErrorHtml(objHandle: HCkSecureString; outPropVal: HCkString); stdcall;

function CkSecureString__lastErrorHtml(objHandle: HCkSecureString): PWideChar; stdcall;

procedure CkSecureString_getLastErrorText(objHandle: HCkSecureString; outPropVal: HCkString); stdcall;

function CkSecureString__lastErrorText(objHandle: HCkSecureString): PWideChar; stdcall;

procedure CkSecureString_getLastErrorXml(objHandle: HCkSecureString; outPropVal: HCkString); stdcall;

function CkSecureString__lastErrorXml(objHandle: HCkSecureString): PWideChar; stdcall;

function CkSecureString_getLastMethodSuccess(objHandle: HCkSecureString): wordbool; stdcall;

procedure CkSecureString_putLastMethodSuccess(objHandle: HCkSecureString; newPropVal: wordbool); stdcall;

procedure CkSecureString_getMaintainHash(objHandle: HCkSecureString; outPropVal: HCkString); stdcall;

procedure CkSecureString_putMaintainHash(objHandle: HCkSecureString; newPropVal: PWideChar); stdcall;

function CkSecureString__maintainHash(objHandle: HCkSecureString): PWideChar; stdcall;

function CkSecureString_getReadOnly(objHandle: HCkSecureString): wordbool; stdcall;

procedure CkSecureString_putReadOnly(objHandle: HCkSecureString; newPropVal: wordbool); stdcall;

function CkSecureString_getVerboseLogging(objHandle: HCkSecureString): wordbool; stdcall;

procedure CkSecureString_putVerboseLogging(objHandle: HCkSecureString; newPropVal: wordbool); stdcall;

procedure CkSecureString_getVersion(objHandle: HCkSecureString; outPropVal: HCkString); stdcall;

function CkSecureString__version(objHandle: HCkSecureString): PWideChar; stdcall;

function CkSecureString_Access(objHandle: HCkSecureString; outStr: HCkString): wordbool; stdcall;

function CkSecureString__access(objHandle: HCkSecureString): PWideChar; stdcall;

function CkSecureString_Append(objHandle: HCkSecureString; str: PWideChar): wordbool; stdcall;

function CkSecureString_AppendSb(objHandle: HCkSecureString; sb: HCkStringBuilder): wordbool; stdcall;

function CkSecureString_AppendSecure(objHandle: HCkSecureString; secStr: HCkSecureString): wordbool; stdcall;

function CkSecureString_HashVal(objHandle: HCkSecureString; encoding: PWideChar; outStr: HCkString): wordbool; stdcall;

function CkSecureString__hashVal(objHandle: HCkSecureString; encoding: PWideChar): PWideChar; stdcall;

function CkSecureString_LoadFile(objHandle: HCkSecureString; path: PWideChar; charset: PWideChar): wordbool; stdcall;

function CkSecureString_SecStrEquals(objHandle: HCkSecureString; secStr: HCkSecureString): wordbool; stdcall;

function CkSecureString_VerifyHash(objHandle: HCkSecureString; hashVal: PWideChar; encoding: PWideChar): wordbool; stdcall;

implementation

{$Include chilkatDllPath.inc}

function CkSecureString_Create; external DLLName;
procedure CkSecureString_Dispose; external DLLName;
procedure CkSecureString_getDebugLogFilePath; external DLLName;
procedure CkSecureString_putDebugLogFilePath; external DLLName;
function CkSecureString__debugLogFilePath; external DLLName;
procedure CkSecureString_getLastErrorHtml; external DLLName;
function CkSecureString__lastErrorHtml; external DLLName;
procedure CkSecureString_getLastErrorText; external DLLName;
function CkSecureString__lastErrorText; external DLLName;
procedure CkSecureString_getLastErrorXml; external DLLName;
function CkSecureString__lastErrorXml; external DLLName;
function CkSecureString_getLastMethodSuccess; external DLLName;
procedure CkSecureString_putLastMethodSuccess; external DLLName;
procedure CkSecureString_getMaintainHash; external DLLName;
procedure CkSecureString_putMaintainHash; external DLLName;
function CkSecureString__maintainHash; external DLLName;
function CkSecureString_getReadOnly; external DLLName;
procedure CkSecureString_putReadOnly; external DLLName;
function CkSecureString_getVerboseLogging; external DLLName;
procedure CkSecureString_putVerboseLogging; external DLLName;
procedure CkSecureString_getVersion; external DLLName;
function CkSecureString__version; external DLLName;
function CkSecureString_Access; external DLLName;
function CkSecureString__access; external DLLName;
function CkSecureString_Append; external DLLName;
function CkSecureString_AppendSb; external DLLName;
function CkSecureString_AppendSecure; external DLLName;
function CkSecureString_HashVal; external DLLName;
function CkSecureString__hashVal; external DLLName;
function CkSecureString_LoadFile; external DLLName;
function CkSecureString_SecStrEquals; external DLLName;
function CkSecureString_VerifyHash; external DLLName;



end.
